<?php

namespace App\Classes\Modules\Steps\Services;

use App\Classes\General\Eloquent\AbstractUpdateRecord;
use App\Classes\Modules\Steps\DataTransferObjects\StepsObject;
use App\Models\Step;

class UpdatesSteps extends AbstractUpdateRecord
{

    public function execute(Step $model, StepsObject $object) {

        $model->status = $object->getStatus();
        $model->contract_status = $object->getContractStatus();
        $model->complete_date = $object->getCompletedDate();

        return $this->handler($model);

    }
}
